| IOLink C# 1.11.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
IOLink.VariantDataValueFactory Class Reference

A factory to create VariantDataValue instances from a great variety of types. More...

Inheritance diagram for IOLink.VariantDataValueFactory:

## Public Member Functions
| VariantDataValueFactory (global::System.IntPtr cPtr, bool cMemoryOwn)
void | Dispose ()

## Static Public Member Functions
static global::System.Runtime.InteropServices.HandleRef | getCPtr (VariantDataValueFactory obj)
static global::System.Runtime.InteropServices.HandleRef | swigRelease (VariantDataValueFactory obj)
static unsafe VariantDataValue | Create (byte value)
static unsafe VariantDataValue | Create (ushort value)
static unsafe VariantDataValue | Create (uint value)
static unsafe VariantDataValue | Create (ulong value)
static unsafe VariantDataValue | Create (sbyte value)
static unsafe VariantDataValue | Create (short value)
static unsafe VariantDataValue | Create (int value)
static unsafe VariantDataValue | Create (long value)
static unsafe VariantDataValue | Create (float value)
static unsafe VariantDataValue | Create (double value)
static unsafe VariantDataValue | Create (string value)
static unsafe VariantDataValue | Create (byte[] values, uint count)
static unsafe VariantDataValue | Create (ushort[] values, uint count)
static unsafe VariantDataValue | Create (uint[] values, uint count)
static unsafe VariantDataValue | Create (ulong[] values, uint count)
static unsafe VariantDataValue | Create (sbyte[] values, uint count)
static unsafe VariantDataValue | Create (short[] values, uint count)
static unsafe VariantDataValue | Create (int[] values, uint count)
static unsafe VariantDataValue | Create (long[] values, uint count)
static unsafe VariantDataValue | Create (float[] values, uint count)
static unsafe VariantDataValue | Create (double[] values, uint count)
static unsafe VariantDataValue | Create (string[] values, uint count)

## Protected Member Functions
virtual void | Dispose (bool disposing)

## Protected Attributes
bool | swigCMemOwn

## Detailed Description

A factory to create VariantDataValue instances from a great variety of types.

Examples
  CopyImageView.cs, and MetadataTree.cs.

The documentation for this class was generated from the following file:

- Release/net/generated/VariantDataValueFactory.cs